For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sample appsIntegrationsDiscordPlaygroundDevEx repo
GuidesSDK ReferenceAPI Reference
GuidesSDK ReferenceAPI Reference
  • TwelveLabs API
    • Introduction
    • Authentication
  • API Reference
    • Manage indexes
      • The index object
      • POSTCreate an index
      • GETList indexes
      • GETRetrieve an index
      • PUTUpdate an index
      • DELDelete an index
    • Upload content
    • Index content
    • Manage videos
    • Manage entities
    • Any-to-video search
    • Create embeddings v2
    • Create embeddings v1
    • Analyze and segment videos
    • Error codes
LogoLogo
Sample appsIntegrationsDiscordPlaygroundDevEx repo
API ReferenceManage indexes

Retrieve an index

GET
https://api.twelvelabs.io/v1.3/indexes/:index-id
GET
/v1.3/indexes/:index-id
$curl https://api.twelvelabs.io/v1.3/indexes/6298d673f1090f1100476d4c \
> -H "x-api-key: <apiKey>"
1{
2 "_id": "62d9bafa90077fc60af827a0",
3 "created_at": "2024-01-09T11:11:20.463Z",
4 "updated_at": "2024-01-09T11:17:15.296Z",
5 "expires_at": "2024-04-08T11:11:20.463Z",
6 "index_name": "myIndex",
7 "total_duration": 8716.8969,
8 "video_count": 12,
9 "models": [
10 {
11 "model_name": "marengo3.0",
12 "model_options": [
13 "visual",
14 "audio"
15 ]
16 },
17 {
18 "model_name": "pegasus1.2",
19 "model_options": [
20 "visual",
21 "audio"
22 ]
23 }
24 ]
25}
This method retrieves details about the specified index.
Was this page helpful?
Previous

Update an index

Next
Built with

Authentication

x-api-keystring

Your API key.

Note

You can find your API key on the API Keys page.

Path parameters

index-idstringRequired
Unique identifier of the index to retrieve.

Response

The specified index has successfully been retrieved.
_idstring
A string representing the unique identifier of the index. It is assigned by the platform when an index is created.
created_atstring

A string representing the date and time, in the RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), that the index was created.

updated_atstring

A string representing the date and time, in the RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), that the index has been updated.

expires_atstring

A string representing the date and time, in the RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), when your index will expire.

If you’re on the Free plan, the platform retains your index data for 90 days from creation. After this period, the platform deletes your index data, and this action cannot be undone. To continue using your index beyond this period, consider upgrading to the Developer plan, which offers unlimited index retention. For details, see the Upgrade your plan section.

If you’re on the Developer plan, this field is set to null, indicating no expiration.

index_namestring
A string representing the name of the index.
total_durationdouble
A number representing the total duration, in seconds, of the videos in the index.
video_countdouble
The number of videos uploaded to this index.
modelslist of objects

An array containing the list of the video understanding models enabled for this index.

addonslist of strings

The list of the add-ons that are enabled for this index.

Errors

400
Bad Request Error